Get prompt by id

Get prompt by id; when mask_id or environment is provided, requestedVersion is populated with the resolved version. mask_id and environment are mutually exclusive.

Path parameters

idstringRequiredformat: "uuid"

Query parameters

mask_idstringOptionalformat: "uuid"

Optional mask version id; when set, requestedVersion is the mask row for that id

environmentstringOptionalformat: "^[A-Za-z0-9_-]+$"0-150 characters

Optional environment name; when set, requestedVersion is the version mapped to that environment for the prompt

Response

Prompt resource
namestring>=1 character
idstringformat: "uuid"
project_idstringformat: "uuid"

Project ID. Takes precedence over project_name when both are provided.

descriptionstringformat: "(?s)^\s*(\S.*\S|\S)\s*$"0-255 characters
template_structureenumDefaults to text

Template structure type: ‘text’ or ‘chat’. Immutable after creation.

tagslist of strings
created_atdatetimeRead-only
created_bystringRead-only
last_updated_atdatetimeRead-only
last_updated_bystringRead-only
version_countlongRead-only
latest_versionobject
requested_versionobject

Errors

400
Bad Request Error
404
Not Found Error